# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.457.4.2 -> 1.457.4.3
#	drivers/usb/host/ohci-q.c	1.17    -> 1.18   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/08/05	david-b@pacbell.net	1.457.4.3
# [PATCH] ohci, rm sparc64 oops
# 
# The recent "unlink cleanups" patch had a problem
# with bitmask byteswapping.
# --------------------------------------------
#
diff -Nru a/drivers/usb/host/ohci-q.c b/drivers/usb/host/ohci-q.c
--- a/drivers/usb/host/ohci-q.c	Tue Aug  6 22:06:51 2002
+++ b/drivers/usb/host/ohci-q.c	Tue Aug  6 22:06:51 2002
@@ -938,7 +938,7 @@
 		/* ED's now officially unlinked, hc doesn't see */
 		ed->state = ED_IDLE;
 		ed->hwINFO &= ~ED_SKIP;
-		ed->hwHeadP &= ~cpu_to_le32 (ED_H);
+		ed->hwHeadP &= ~ED_H;
 		ed->hwNextED = 0;
 
 		/* but if there's work queued, reschedule */
